Subject: Re: bug#55408: Explain the word "interactively" in the Emacs Manual

From: Stefan Kangas <[email-masked]>
Date: Sun, 15 May 2022 14:20:41 +0200

Eli Zaretskii <[email-masked]> writes:

> Does it really need to be explained?  It's a word used for its literal
> meaning.

IMHO, it is not immediately clear what is meant.

The docstring of `package-update-all' currently says: "Interactively,
QUERY is always true."  AFAIU, this is short for "When called
interactively," which is more clear but still not as clear as it could
be.  In general, perhaps docstrings should prefer something like "When
used as a command," instead of "When called interactively,".

> The very first line presented in the *Help* buffer says:
>
>   package-update-all is an interactive compiled Lisp function in
>   ‘package.el’.            ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

I think it would probably be more helpful if that line said "a
command" instead of "an interactive compiled Lisp function".